
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Export missing symbols (from Matthias Urlichs)



 arch/m68k/mac/config.c  |    2 ++
 arch/m68k/mm/hwtest.c   |    4 ++++
 arch/m68k/mm/motorola.c |    2 ++
 3 files changed, 8 insertions(+)

diff -puN arch/m68k/mac/config.c~68k-350 arch/m68k/mac/config.c
--- 25/arch/m68k/mac/config.c~68k-350	2004-01-01 13:35:10.000000000 -0800
+++ 25-akpm/arch/m68k/mac/config.c	2004-01-01 13:35:10.000000000 -0800
@@ -11,6 +11,7 @@
  */
 
 #include <linux/config.h>
+#include <linux/module.h>
 #include <linux/types.h>
 #include <linux/mm.h>
 #include <linux/tty.h>
@@ -267,6 +268,7 @@ void __init config_mac(void)
  */
  
 struct mac_model *macintosh_config;
+EXPORT_SYMBOL(macintosh_config);
 
 static struct mac_model mac_data_table[]=
 {
diff -puN arch/m68k/mm/hwtest.c~68k-350 arch/m68k/mm/hwtest.c
--- 25/arch/m68k/mm/hwtest.c~68k-350	2004-01-01 13:35:10.000000000 -0800
+++ 25-akpm/arch/m68k/mm/hwtest.c	2004-01-01 13:35:10.000000000 -0800
@@ -23,6 +23,8 @@
  * a temporary VBR and a vector table for the duration of the test.
  */
 
+#include <linux/module.h>
+
 int hwreg_present( volatile void *regp )
 {
     int	ret = 0;
@@ -47,6 +49,7 @@ int hwreg_present( volatile void *regp )
 
     return( ret );
 }
+EXPORT_SYMBOL(hwreg_present);
   
 /* Basically the same, but writes a value into a word register, protected
  * by a bus error handler. Returns 1 if successful, 0 otherwise.
@@ -78,4 +81,5 @@ int hwreg_write( volatile void *regp, un
 
 	return( ret );
 }
+EXPORT_SYMBOL(hwreg_write);
 
diff -puN arch/m68k/mm/motorola.c~68k-350 arch/m68k/mm/motorola.c
--- 25/arch/m68k/mm/motorola.c~68k-350	2004-01-01 13:35:10.000000000 -0800
+++ 25-akpm/arch/m68k/mm/motorola.c	2004-01-01 13:35:10.000000000 -0800
@@ -9,6 +9,7 @@
  */
 
 #include <linux/config.h>
+#include <linux/module.h>
 #include <linux/signal.h>
 #include <linux/sched.h>
 #include <linux/mm.h>
@@ -40,6 +41,7 @@
  * For 68040, this is _PAGE_CACHE040 (cachable, copyback)
  */
 unsigned long mm_cachebits = 0;
+EXPORT_SYMBOL(mm_cachebits);
 #endif
 
 static pte_t * __init kernel_page_table(void)

_
